Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7965 - Hangs when remounting root read-write
Summary: Hangs when remounting root read-write
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-23 11:13 UTC by hno
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-20 16:37:10 UTC


Attachments (Terms of Use)

Description hno 1999-12-23 11:13:45 UTC
Using initscripts-4.16-1

Due to some yet unknown reason I got stale /etc/mtab and /etc/mtab~ files,
causing the following quite servere error:

a) The system hung at shutdown while unmounting filesystems
b) Likevise, the system hung shortly after remounting the root filesystem
read-write during system startup.

Recovery procedure:

Start the RedHat rescue system image, fsck and mount the systems root
filesystem read-write and remove etc/mtab~

Recommended system fix:

Have the rc.sysinit script flush any existing locks on mtab.
echo >/etc/mtab  (this is already properly done)
rm -f /etc/mtab~
rm -f /etc/mtab~~ (not sure if this is required)

It appears that the cleanup of mtab~ already exists, but way to late in the
rc.sysinit.


--
Henrik Nordstrom

Comment 1 Bill Nottingham 2000-01-20 16:37:59 UTC
Will be fixed in initscripts-4.84, in the next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.